// base class GxEPD2_GFX can be used to pass references or pointers to the display instance as parameter, uses ~1.2k more code
// enable or disable GxEPD2_GFX base class
#define ENABLE_GxEPD2_GFX 0

#include <GxEPD2_BW.h>
//#include <GxEPD2_3C.h>
//#include <Fonts/FreeMonoBold9pt7b.h>    // disable any fonts you are not using in
//#include <Fonts/FreeMonoBold24pt7b.h>   // your code
#include <Fonts/FreeMonoBold18pt7b.h>

GxEPD2_BW<GxEPD2_154, GxEPD2_154::HEIGHT> display(GxEPD2_154(/*CS=15*/ SS, /*DC=4*/ 17, /*RST=5*/ 16, /*BUSY=16*/ 4));
//GxEPD2_3C<GxEPD2_154c, GxEPD2_154c::HEIGHT> display(GxEPD2_154c(/*CS=*/ SS, /*DC=*/ 17, /*RST=*/ 16, /*BUSY=*/ 4));

void setup()
{
  display.init(115200); // uses standard SPI pins, e.g. SCK(18), MISO(19), MOSI(23), SS(5)
  helloWorld();
}

void loop()
{
}

void helloWorld()
{
  display.setRotation(3);
  display.setFont(&FreeMonoBold18pt7b);
  display.setTextColor(GxEPD_BLACK);
  display.setFullWindow();
  display.firstPage();
  do
  {
    display.fillScreen(GxEPD_WHITE);
    display.setCursor(0, 32);
    display.println("XTronical");
    display.println("on");
    display.println("E-Paper");
  }
  while (display.nextPage());
}
